Results 1 to 4 of 4

Thread: ExtJS 6.2.0 GPL - How to use localization with modern?

  1. #1
    Sencha User
    Join Date
    Jun 2011
    Location
    Rio de Janeiro - Brazil
    Posts
    5

    Default Answered: ExtJS 6.2.0 GPL - How to use localization with modern?

    Hi,

    I'm trying to set locale in a modern-only project. I've tried to add "ext-locale" (or "locale") to "requires" property at "app.json" and I also added the property "locale": "pt_BR", but with no success!

    Always when I try to build (using Sencha Cmd), I get the error message
    Code:
    [ERR] Cannot satisfy requirements for "locale"!
    [ERR]    The following versions cannot be satisfied:
    [ERR]       MyProject: ext-locale (No matches!)
    [ERR] Cannot resolve package requirements
    (or "locale" requirement).

    How can I set locale in an easy way? I'm using ExtJS 6.2.0 GPL

    PS: I've also tried to copy "ext/classic/locale/overrides" folder to "ext/modern/locale/overrides" folder (and I've edited the package.json file to meet "modern" toolkit), but with no success too.

  2. Locale package is not available in modern toolkit in 6.2.0.
    Officialy by sencha we have It only in 6.6.

    You can try to use my modern-locale package I have created to supply this needs.
    https://github.com/wemersonjanuario/modern-locale

    I hope this can help you

  3. #2
    Sencha Premium User wemerson.januario's Avatar
    Join Date
    Nov 2008
    Location
    Goiânia - GO, Brazil
    Posts
    905
    Answers
    15

    Default

    Locale package is not available in modern toolkit in 6.2.0.
    Officialy by sencha we have It only in 6.6.

    You can try to use my modern-locale package I have created to supply this needs.
    https://github.com/wemersonjanuario/modern-locale

    I hope this can help you
    Wemerson Januario @JanuarioCoder
    Novanti Tecnologia, Sencha MVP/ Ext JS Consultant
    ____________________________________________
    Hire me on UpWork:

    GitHub
    https://github.com/wemersonjanuario

    Treinamento e Consultoria Ext JS. QUALIFIQUE-SE JÁ!

  4. #3
    Sencha User
    Join Date
    Jun 2011
    Location
    Rio de Janeiro - Brazil
    Posts
    5

    Default

    Thanks! Your package is working fine!
    It's showing an error "[ERR] C2016: Override target not found" during build, but it's working.

    You got one more start in GitHub!

  5. #4
    Sencha Premium User wemerson.januario's Avatar
    Join Date
    Nov 2008
    Location
    Goiânia - GO, Brazil
    Posts
    905
    Answers
    15

    Default

    Thank you my friend.
    Wemerson Januario @JanuarioCoder
    Novanti Tecnologia, Sencha MVP/ Ext JS Consultant
    ____________________________________________
    Hire me on UpWork:

    GitHub
    https://github.com/wemersonjanuario

    Treinamento e Consultoria Ext JS. QUALIFIQUE-SE JÁ!

Similar Threads

  1. Replies: 1
    Last Post: 5 Sep 2018, 11:42 AM
  2. Replies: 1
    Last Post: 8 Mar 2017, 6:01 PM
  3. ExtJS 4 and Localization
    By mysticav in forum Ext: Discussion
    Replies: 5
    Last Post: 11 May 2011, 4:33 PM
  4. how can i use localization in extjs
    By shashidhar in forum Ext 3.x: Help & Discussion
    Replies: 0
    Last Post: 17 Mar 2011, 8:09 PM
  5. Localization with Extjs!
    By Arpita2u.k in forum Ext 1.x: Help & Discussion
    Replies: 16
    Last Post: 2 Apr 2009, 4:07 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •